MWAWDocumentInternal Namespace Reference

structure used to hide some functions needed by MWAWDocument (basically to check if the file is really supported). More...

## Functions

shared_ptr< MWAWParser > | getParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| Factory wrapper to construct a parser corresponding to an header. More...
MWAWHeader * | getHeader (MWAWInputStreamPtr &ip, MWAWRSRCParserPtr rsrcParser, bool strict)
| return the header corresponding to an input. More...
bool | checkBasicMacHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader &header, bool strict)
| Wrapper to check a basic header of a mac file. More...

## Detailed Description

structure used to hide some functions needed by MWAWDocument (basically to check if the file is really supported).

## Function Documentation

bool MWAWDocumentInternal::checkBasicMacHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader & | header,
|  | bool | strict
| ) |  |

Wrapper to check a basic header of a mac file.

Referenced by getHeader().

MWAWHeader * MWAWDocumentInternal::getHeader | ( | MWAWInputStreamPtr & | ip,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | bool | strict
| ) |  |

return the header corresponding to an input.

Or 0L if no input are found

avoid very short file

avoid very short file

Referenced by MWAWDocument::isFileFormatSupported(), and MWAWDocument::parse().

shared_ptr< MWAWParser > MWAWDocumentInternal::getParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

Factory wrapper to construct a parser corresponding to an header.

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().